/*
 * Created by SharpDevelop.
 * User: PC
 * Date: 11/17/2024
 * Time: 8:25 AM
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Collections.Generic;

namespace Pecina
{
	class Program
	{
		public static void Main(string[] args)
		{
			int N,L;
			List<int> visine = new List<int>();
			
			string[] s = Console.ReadLine().Split();
			N = int.Parse(s[0]);
			L = int.Parse(s[1]);
			
			
			string[] br = Console.ReadLine().Split();
			for(int i=0;i<N;i++)
				visine.Add(int.Parse(br[i]));
				
			bool prolaz = true;
			for(int i=0;i<N;i++)
			{
				if(visine[i]<=L)
				{
					prolaz=false;
					Console.WriteLine(i+1);
					break;
				}
			}
			
			if(prolaz)
				Console.WriteLine("-1");
			
			
			
			
				
			
			Console.Write("Press any key to continue . . . ");
			Console.ReadKey(true);
		}
	}
}